package plugin

import (
	"enterprise/common/model"
	"enterprise/common/registry"
)

type Staff1000 struct {
	Staff
	corp *model.Corp
}

func NewStaff1000(corp *model.Corp) registry.Staff {
	return &Staff1000{
		corp: corp,
	}
}

func (s *Staff1000) Monitor(user *model.StaffUser) {
	s.MonitorWorkAge(user)
}
